package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Data
@Entity
@Table(name = "risk_account_report")
public class RiskAccountReportTable extends BaseTable {

    private Long login;

    private String platform;

    private Float startEquity;

    private Float endEquity;

    private Float profit;

    private Float profitPercent;

    private Float totalDeposit;

    private Float totalWithdraw;

    private Float totalDw;

    private String symbolVolume;

    private String symbolProfit;

    /**
     * 1. 总
     * 2. 日
     * 3. 周
     * 4. 月
     */
    private Integer reportType;

    private Date reportDate;

    public static RiskAccountReportTable getInstance() {
        RiskAccountReportTable riskAccountReportTable = new RiskAccountReportTable();
        riskAccountReportTable.setStartEquity(0F);
        riskAccountReportTable.setEndEquity(0F);
        riskAccountReportTable.setProfit(0F);
        riskAccountReportTable.setProfitPercent(0F);
        riskAccountReportTable.setTotalDeposit(0F);
        riskAccountReportTable.setTotalWithdraw(0F);
        riskAccountReportTable.setTotalDw(0F);
        return riskAccountReportTable;
    }
}
